### Method

# GIRepository BaseInfo get_name

since: 2.80

#### Declaration

    const char*
    gi_base_info_get_name (
      GIBaseInfo* info
    )

#### Description

Obtain the name of the `info`.

What the name represents depends on the type of the `info`. For instance for `GIFunctionInfo` it is the name of the function.

Available since: 2.80

#### Return value

Type: `const char*`

The name of `info` or `NULL` if it lacks a name.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.